Error Search

Returns information about all errors that match the search parameters.

Examples

Below are a few examples that demonstrate some common queries. Each example illustrates the parameters that need to be sent as request parameters.

Active errors for a handler

{
  "handlerId": "utility_json_to_xml_v1",
  "status": "Active"
}

All errors for a run

{
  "runId": "555"
}

Active errors for a source

{
  "source": "Kinetic Request",
  "status": "Active"
}

Active errors for a source id

{
  "source": "Kinetic Request",
  "sourceId": "cefa0736-724d-11e7-8783-11d1da2061fc",
  "status": "Active"
}

Active errors for a tree

{
  "source": "Kinetic Request",
  "group": "services > laptop-order",
  "tree": "Submitted",
  "status": "Active"
}

Active errors for a global routine

{
  "source": "-",
  "group": "-",
  "tree": "Calculate SLA",
  "status": "Active"
}

Active errors for a node in a tree

{
  "source": "Kinetic Request",
  "group": "services > laptop-order",
  "tree": "Submitted",
  "nodeId": "system_join_v1_11",
  "status": "Active"
}

Active errors for a date range

(timeline defaults to createdAt)

{
  "start": "2017-01-01",
  "end": "2017-02-01",
  "status": "Active"
}

Active errors after a certain date

(timeline defaults to createdAt)

{
  "start": "2017-01-01",
  "status": "Active"
}

Active errors before a certain date

(timeline defaults to createdAt)

{
  "end": "2017-01-01",
  "status": "Active"
}
Query Params
boolean
enum

Optional parameter to return only the count of the number of task errors that match the criteria.

Allowed:
int32

The id of the errors.

If this parameter is used, all others are ignored.

string
enum
Defaults to Active

Optional status of the errors.

If no value is provided, errors of both states may be returned.

Allowed:
string
enum
Defaults to createdAt

Field to use as the timeline when searching by dates.

Allowed:
string
enum
Defaults to DESC

Result Set sorting direction.

Allowed:
date

UTC formatted timestamp to use as the starting date.

This value is inclusive in the results (>=).

  • Format: yyyy-MM-dd

    Example: 2017-07-27

  • Format: yyyy-MM-dd'T'HH:mm:ssZ

    Example: 2017-07-27T15:00:00Z

date

UTC formatted timestamp to use as the ending date.

This value is excluded in the results (<).

  • Format: yyyy-MM-dd

    Example: 2017-07-27

  • Format: yyyy-MM-dd'T'HH:mm:ssZ

    Example: 2017-07-27T15:00:00Z

string

Optional name of the source the errors belong to.

int32

Optional sourceId.

string

Optional source group (exact match).

string

Optional source group (matches any part of the source group: 'like' match).

string

Optional tree name (exact match).

string

Optional tree name (matches any part of the source group: 'like' match).

string

Optional id of the tree node.

string

Optional definition id of the handler.

This value cannot be used if the nodeId parameter is also specified.

int32

Optional id of the run.

string
enum

Optional type of error.

string

This value is for more advanced usage.

string

This value is for more advanced usage.

string

This value is for more advanced usage.

Setting either the nodeId or handlerId parameters will automatically use the correct value.

string

This value is for more advanced usage.

Setting either the nodeId or handlerId parameters will automatically use the correct value.

int32
Defaults to 100

Number of results to limit the search to. Ignored if the count parameter is also provided.

int32
Defaults to 0

Offset beginning for paginated results. Ignored if the count parameter is also provided.

include
array of strings

comma-separated list of additional properties to include in the response

include
Response

Language
Credentials
Basic
base64
:
URL
Response
Choose an example:
application/json